﻿using Syncfusion.SfMaps.XForms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfMapsSample
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void layer_RequestTileUri(object sender, TileUriArgs e)
        {
            var link = "http://mt1.google.com/vt/lyrs=y&x=" + e.X.ToString() + "&y=" + e.Y.ToString() + "&z=" + e.ZoomLevel.ToString();
            e.Uri = link;
        }

        private void layer_ZoomLevelChanging(object sender, ZoomLevelChangingEventArgs e)
        {
            System.Diagnostics.Debug.WriteLine(e.CurrentLevel.ToString());
            if (e.CurrentLevel < 6)
            {
                e.Cancel = true;
            }
        }
    }
}
